using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Controls_AddOrder : System.Web.UI.UserControl
{
    public event EventHandler AddOrdersClick;
    public event EventHandler ModifyOrdersClick;

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    #region 收货人信息
    public TextBox _txtReceiverName
    {
        get { return txtReceiverName; }
        set { txtReceiverName = value; }
    }

    public TextBox _txtReceiverAddress
    {
        get { return txtReceiverAddress; }
        set { txtReceiverAddress = value; }
    }

    public TextBox _txtReceiverPostalCode
    {
        get { return txtReceiverPostalCode; }
        set { txtReceiverPostalCode = value; }
    }

    public TextBox _txtReceiverPhone
    {
        get { return txtReceiverPhone; }
        set { txtReceiverPhone = value; }
    }
    #endregion

    #region 收货方式
    public RadioButtonList _rblPortType
    {
        get { return rblPortType; }
        set { rblPortType = value; }
    }
    #endregion

    #region 付款方式
    public RadioButtonList _rblPayType
    {
        get { return rblPayType; }
        set { rblPayType = value; }
    }
    #endregion

    #region 费用信息
    //public Label _lblTotalBookPrice
    //{
    //    get { return lblTotalBookPrice; }
    //    set { lblTotalBookPrice = value; }
    //}

    //public Label _lblPortPrice
    //{
    //    get { return lblPortPrice; }
    //    set { lblPortPrice = value; }
    //}

    //public Label _lblSumPrice
    //{
    //    get { return lblSumPrice; }
    //    set { lblSumPrice = value; }
    //}

    //public Label _lblHasPayedPrice
    //{
    //    get { return lblHasPayedPrice; }
    //    set { lblHasPayedPrice = value; }
    //}

    //public Label _lblHasNotPayedPrice
    //{
    //    get { return lblHasNotPayedPrice; }
    //    set { lblHasNotPayedPrice = value; }
    //}
    #endregion

    #region 按钮
    public Button _btnAddOrders
    {
        get { return btnAddOrders; }
        set { btnAddOrders = value; }
    }

    public Button _btnModifyOrders
    {
        get { return btnModifyOrders; }
        set { btnModifyOrders = value; }
    }
    #endregion

    #region 提示
    public Label _lblMsg
    {
        get { return lblMsg; }
        set { lblMsg = value; }
    }
    #endregion

    #region 按钮触发事件
    protected void btnAddOrders_Click(object sender, EventArgs e)
    {
        AddOrdersClick(this, e);
    }

    protected void btnModifyOrders_Click(object sender, EventArgs e)
    {
        ModifyOrdersClick(this, e);
    }
    #endregion
}
